Android sérülékenységek - június
Angol cím: 
Android vulnerabilities - June
CERT-Hungary ID: 
CH-13299
Felfedezés dátuma: 
2016-06-06
Összefoglaló: 

A Google Android 6 kritikus, 11 magas, és 4 közepes besorolású sérülékenysége vált ismertté, melyeket kihasználva a támadó akár tetszőleges kódot is futtathat a rendszeren. A sérülékenységeket kiküszöbölő megoldás már beszerezhető a gyártótól.

Leírás: 

Ebben a hónapban javítást kaptak a Nexus 5, 6 és 7 készülékek Qualcomm eszközmeghajtói. A hibákat a Qualcomm Video Driver, Qualcomm Sound Driver, Qualcomm GPU Driver és Qualcomm Wi-Fi Driverekben találták, és összesen hat kritikus sérülékenységben szerepelnek, melyek egy káros alkalmazással használóak ki, és a támadó kernel szinten futtathat kódot a segítségükkel.

Újabb kritikus hibát találtak a Mediaserver alkalmazásban is, mely egy kártékony média állománnyal használható ki, és távoli kódfuttatás érhető el a segítségével.

A maradék kritikus sérülékenység egy távoli kódfuttatásos hiba a libwebm-ben, ami egy nyílt média fájl formátum, és az összes fontos böngésző támogatja videó lejátszáshoz. Egy támadó kihasználhatja a hibáját, hogy kódot futtathasson a Mediaserver folyamat kontextusában.

További magas sérülékenységeket fedeztek fel a Mediaseverben, melyek kihasználásával jogosultság kiterjesztés érhető el, és egy kártékony alkalmazás kódfuttatásra használhatja.

Végül a Google javított több magas jogosultság kiterjesztéses hibát is a Qualcomm Sound Driver, Qualcomm Camera Driver, Qualcomm Video Driver, és Qualcomm Wi-Fi Driver, továbbá a Broadcom Wi-Fi Driver, NVIDIA Camera Driver, MediaTek Power Management Driver, és SD Card Emulation Layerben.

Hivatkozások: 
Gyártói referencia:https://source.android.com/security/bull...
CVE-2016-2463 - NVD CVE-2016-2463
CVE-2016-2464 - NVD CVE-2016-2464
CVE-2016-2465 - NVD CVE-2016-2465
CVE-2016-2466 - NVD CVE-2016-2466
CVE-2016-2467 - NVD CVE-2016-2467
CVE-2016-2468 - NVD CVE-2016-2468
CVE-2016-2062 - NVD CVE-2016-2062
CVE-2016-2474 - NVD CVE-2016-2474
CVE-2016-2475 - NVD CVE-2016-2475
CVE-2016-2066 - NVD CVE-2016-2066
CVE-2016-2469 - NVD CVE-2016-2469
CVE-2016-2476 - NVD CVE-2016-2476
CVE-2016-2477 - NVD CVE-2016-2477
CVE-2016-2478 - NVD CVE-2016-2478
CVE-2016-2479 - NVD CVE-2016-2479
CVE-2016-2480 - NVD CVE-2016-2480
CVE-2016-2481 - NVD CVE-2016-2481
CVE-2016-2482 - NVD CVE-2016-2482
CVE-2016-2483 - NVD CVE-2016-2483
CVE-2016-2484 - NVD CVE-2016-2484
CVE-2016-2485 - NVD CVE-2016-2485
CVE-2016-2486 - NVD CVE-2016-2486
CVE-2016-2487 - NVD CVE-2016-2487
CVE-2016-2061 - NVD CVE-2016-2061
CVE-2016-2488 - NVD CVE-2016-2488
CVE-2016-2489 - NVD CVE-2016-2489
CVE-2016-2490 - NVD CVE-2016-2490
CVE-2016-2491 - NVD CVE-2016-2491
CVE-2016-2470 - NVD CVE-2016-2470
CVE-2016-2471 - NVD CVE-2016-2471
CVE-2016-2472 - NVD CVE-2016-2472
CVE-2016-2473 - NVD CVE-2016-2473
CVE-2016-2492 - NVD CVE-2016-2492
CVE-2016-2494 - NVD CVE-2016-2494
CVE-2016-2493 - NVD CVE-2016-2493
CVE-2016-2495 - NVD CVE-2016-2495
CVE-2016-2496 - NVD CVE-2016-2496
CVE-2016-2498 - NVD CVE-2016-2498
CVE-2016-2499 - NVD CVE-2016-2499
CVE-2016-2500 - NVD CVE-2016-2500
CVE-2016-2468 - NVD CVE-2016-2468
CVE-2016-2476 - NVD CVE-2016-2476
CVE-2016-2492 - NVD CVE-2016-2492
CVE-2016-2470 - NVD CVE-2016-2470
CVE-2016-2471 - NVD CVE-2016-2471
CVE-2016-2472 - NVD CVE-2016-2472
CVE-2016-2473 - NVD CVE-2016-2473
CVE-2016-2498 - NVD CVE-2016-2498
CVE-2016-2496 - NVD CVE-2016-2496
CVE-2016-2490 - NVD CVE-2016-2490
CVE-2016-2491 - NVD CVE-2016-2491
CVE-2016-2500 - NVD CVE-2016-2500
CVE-2016-2474 - NVD CVE-2016-2474
CVE-2016-2487 - NVD CVE-2016-2487
CVE-2016-2494 - NVD CVE-2016-2494
CVE-2016-2477 - NVD CVE-2016-2477
CVE-2016-2478 - NVD CVE-2016-2478
CVE-2016-2479 - NVD CVE-2016-2479
CVE-2016-2480 - NVD CVE-2016-2480
CVE-2016-2481 - NVD CVE-2016-2481
CVE-2016-2482 - NVD CVE-2016-2482
CVE-2016-2483 - NVD CVE-2016-2483
CVE-2016-2484 - NVD CVE-2016-2484
CVE-2016-2485 - NVD CVE-2016-2485
CVE-2016-2486 - NVD CVE-2016-2486
CVE-2016-2066 - NVD CVE-2016-2066
CVE-2016-2061 - NVD CVE-2016-2061
CVE-2016-2465 - NVD CVE-2016-2465
CVE-2016-2469 - NVD CVE-2016-2469
CVE-2016-2489 - NVD CVE-2016-2489
CVE-2016-2463 - NVD CVE-2016-2463
CVE-2016-2495 - NVD CVE-2016-2495
CVE-2016-2499 - NVD CVE-2016-2499
CVE-2016-2493 - NVD CVE-2016-2493
CVE-2016-2463 - NVD CVE-2016-2463
CVE-2016-2464 - NVD CVE-2016-2464
CVE-2016-2465 - NVD CVE-2016-2465
CVE-2016-2466 - NVD CVE-2016-2466
CVE-2016-2467 - NVD CVE-2016-2467
CVE-2016-2468 - NVD CVE-2016-2468
CVE-2016-2062 - NVD CVE-2016-2062
CVE-2016-2474 - NVD CVE-2016-2474
CVE-2016-2475 - NVD CVE-2016-2475
CVE-2016-2066 - NVD CVE-2016-2066
CVE-2016-2469 - NVD CVE-2016-2469
CVE-2016-2476 - NVD CVE-2016-2476
CVE-2016-2477 - NVD CVE-2016-2477
CVE-2016-2478 - NVD CVE-2016-2478
CVE-2016-2479 - NVD CVE-2016-2479
CVE-2016-2480 - NVD CVE-2016-2480
CVE-2016-2481 - NVD CVE-2016-2481
CVE-2016-2482 - NVD CVE-2016-2482
CVE-2016-2483 - NVD CVE-2016-2483
CVE-2016-2484 - NVD CVE-2016-2484
CVE-2016-2485 - NVD CVE-2016-2485
CVE-2016-2486 - NVD CVE-2016-2486
CVE-2016-2487 - NVD CVE-2016-2487
CVE-2016-2061 - NVD CVE-2016-2061
CVE-2016-2488 - NVD CVE-2016-2488
CVE-2016-2489 - NVD CVE-2016-2489
CVE-2016-2490 - NVD CVE-2016-2490
CVE-2016-2491 - NVD CVE-2016-2491
CVE-2016-2470 - NVD CVE-2016-2470
CVE-2016-2471 - NVD CVE-2016-2471
CVE-2016-2472 - NVD CVE-2016-2472
CVE-2016-2473 - NVD CVE-2016-2473
CVE-2016-2492 - NVD CVE-2016-2492
CVE-2016-2494 - NVD CVE-2016-2494
CVE-2016-2493 - NVD CVE-2016-2493
CVE-2016-2495 - NVD CVE-2016-2495
CVE-2016-2496 - NVD CVE-2016-2496
CVE-2016-2498 - NVD CVE-2016-2498
CVE-2016-2499 - NVD CVE-2016-2499
CVE-2016-2500 - NVD CVE-2016-2500
Megoldás: 
Frissítsen a legújabb verzióra
Megoldás: 

Frissítsen a 4.4.4, 5.0.2, 5.1.1, vagy 6.0, 6.0.1-ás verzióra.

Érintett verziók: 
4.4.4, 5.0.2, 5.1.1, 6.0, és 6.0.1 előtti